Skip to main content

Create Payment Term

POST 

/api/payment-terms

Creates a new payment term.

Authentication: Requires Bearer token.

Fields:

  • name (required, string, max:255, unique)
  • net_days (required, integer, 0-365)
  • discount_percentage (optional, numeric, 0-100)
  • discount_days (optional, integer >= 0; must be less than net_days for types: from_invoice_date, end_of_month, day_of_month)
  • due_date_type (required): immediate | from_invoice_date | end_of_month | end_of_next_month | day_of_month
  • description (optional, string, max:500)
  • is_default (optional, boolean)

Vendor Deposit Schedule (optional, array):

  • vendor_deposit_schedule.*.label (optional, string)
  • vendor_deposit_schedule.*.amount_mode (optional): percent | fixed
  • vendor_deposit_schedule.*.percentage (numeric, 0-100)
  • vendor_deposit_schedule.*.fixed_amount (optional, numeric)
  • vendor_deposit_schedule.*.settlement_type (optional): vendor_deposit | final_invoice_balance
  • vendor_deposit_schedule.*.trigger_event (required): one of the supported trigger events including logistics_tracking_field
  • vendor_deposit_schedule.*.offset_days (optional, integer, nullable)
  • vendor_deposit_schedule.*.per_shipment (optional, boolean)
  • vendor_deposit_schedule.*.shipment_date_basis (optional): dispatched | planned_etd | actual_dispatched | received_at
  • vendor_deposit_schedule.*.is_ownership_transfer (optional, boolean) — only one line per schedule may be true
  • vendor_deposit_schedule.*.logistics_tracking_field_id (optional, integer, exists:logistics_tracking_fields,id) — REQUIRED when trigger_event is logistics_tracking_field

Request

Responses

Successful response